### Method

# St ThemeContext intern_node

#### Declaration [src]

    StThemeNode*
    st_theme_context_intern_node (
      StThemeContext* context,
      StThemeNode* node
    )

#### Description [src]

Return an existing node matching `node`, or if that isn’t possible, `node` itself.

#### Parameters

`node`

  Type: `StThemeNode`

  A `StThemeNode`.

  The data is owned by the caller of the method.

#### Return value

Type: `StThemeNode`

A node with the same properties as `node`.

The data is owned by the instance.